import request from '@/utils/request'

//2024-05-01合并
//报表V值设置参数 lanbm 2024-04-03 add
export function create(data) {
  return request({
    url: '/ecwVz/vz/create',
    method: 'post',
    data: data
  })
}

export function update(data) {
  return request({
    url: '/ecwVz/vz/update',
    method: 'post',
    data: data
  })
}

export function del(id) {
  return request({
    url: '/ecwVz/vz/delete?id=' + id,
    method: 'get'
  })
}

export function getModel(id) {
  return request({
    url: '/ecwVz/vz/get?id=' + id,
    method: 'get'
  })
}

//2024-04-27
export function getPageList(query) {
  return request({
    url: '/ecwVz/vz/page',
    method: 'get',
    params: query
  })
}

export function exportExcel(query) {
  return request({
    url: '/ecwVz/vz/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

//测试功能
export function test(query) {
  return request({
    url: '/ecwVz/vz/Test',
    method: 'get',
    params: query
  })
}
